Summary: GRUB is the GRand Unified Bootloader
Name: grub-efi
Version: 0.97
Release: r1.0
License: GPLv2
Group: bootloaders
Packager: Wind River <info@windriver.com>
URL: http://www.gnu.org/software/grub/
BuildRequires: libtool-cross
BuildRequires: autoconf-native
BuildRequires: libtool-native
BuildRequires: gnu-efi
BuildRequires: virtual/libc
BuildRequires: virtual/x86_64-wrs-linux-compilerlibs
BuildRequires: gnu-config-native
BuildRequires: virtual/x86_64-wrs-linux-gcc
BuildRequires: automake-native

%description
GRUB is a GPLed bootloader intended to unify bootloading across x86
operating systems. In addition to loading the Linux kernel, it implements
the Multiboot standard, which allows for flexible loading of multiple boot
images.

%package -n grub-efi-dbg
Summary: GRUB is the GRand Unified Bootloader - Debugging files
Group: devel
Recommends: grub-efi = 0.97-r1.0

%description -n grub-efi-dbg
GRUB is a GPLed bootloader intended to unify bootloading across x86
operating systems. In addition to loading the Linux kernel, it implements
the Multiboot standard, which allows for flexible loading of multiple boot
images.  This package contains ELF symbols and related sources for
debugging purposes.

%package -n grub-efi-staticdev
Summary: GRUB is the GRand Unified Bootloader - Development files (Static Libraries)
Group: devel
Requires: grub-efi-dev = 0.97-r1.0

%description -n grub-efi-staticdev
GRUB is a GPLed bootloader intended to unify bootloading across x86
operating systems. In addition to loading the Linux kernel, it implements
the Multiboot standard, which allows for flexible loading of multiple boot
images.  This package contains static libraries for software development.

%package -n grub-efi-dev
Summary: GRUB is the GRand Unified Bootloader - Development files
Group: devel
Requires: grub-efi = 0.97-r1.0
Suggests: gnu-efi-dev

%description -n grub-efi-dev
GRUB is a GPLed bootloader intended to unify bootloading across x86
operating systems. In addition to loading the Linux kernel, it implements
the Multiboot standard, which allows for flexible loading of multiple boot
images.  This package contains symbolic links, header files, and related
items necessary for software development.

%package -n grub-efi-doc
Summary: GRUB is the GRand Unified Bootloader - Documentation files
Group: doc

%description -n grub-efi-doc
GRUB is a GPLed bootloader intended to unify bootloading across x86
operating systems. In addition to loading the Linux kernel, it implements
the Multiboot standard, which allows for flexible loading of multiple boot
images.  This package contains documentation.

%package -n grub-efi-locale
Summary: GRUB is the GRand Unified Bootloader
Group: bootloaders

%description -n grub-efi-locale
GRUB is a GPLed bootloader intended to unify bootloading across x86
operating systems. In addition to loading the Linux kernel, it implements
the Multiboot standard, which allows for flexible loading of multiple boot
images.

%files
%defattr(-,-,-,-)
%dir "/boot"
%dir "/boot/grub"
"/boot/grub/grub.conf"
"/boot/grub/grub.efi"

%files -n grub-efi-dbg
%defattr(-,-,-,-)

%files -n grub-efi-dev
%defattr(-,-,-,-)

